#
# spec file for package gnome-system-monitor
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gnome-system-monitor
BuildRequires:  dbus-1-glib-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-icon-theme-devel
BuildRequires:  intltool
BuildRequires:  libgtop-devel
BuildRequires:  librsvg-devel
BuildRequires:  libxml2-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(libwnck-3.0)
License:        GPLv2+
Group:          System/GUI/GNOME
Version:        3.1.3
Release:        1
Source0:        http://download.gnome.org/sources/gnome-system-monitor/3.1/%{name}-%{version}.tar.bz2
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A Simple Process Monitor
Requires:       gnome-icon-theme
Requires:       lsb-release
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
GNOME-system-monitor is a simple process and system monitor for the
GNOME Desktop.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure \
    --disable-scrollkeeper
%__make %{?jobs:-j%jobs} V=1

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
# Icon is installed in GNOME-only path:
ln -s ../icons/gnome/32x32/apps/utilities-system-monitor.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
echo DocPath=gnome-system-monitor >> $RPM_BUILD_ROOT%{_datadir}/applications/gnome-system-monitor.desktop
%suse_update_desktop_file -N "GNOME System Monitor" gnome-system-monitor System Monitor
%find_lang %{name} %{?no_lang_C}
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/%{name}/
%doc %{_datadir}/omf/%{name}/%{name}-C.omf
%{_bindir}/gnome-system-monitor
%{_datadir}/applications/gnome-system-monitor.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.gschema.xml
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/gnome-system-monitor/

%files lang -f %{name}.lang

%changelog
